=== drivers/clk/socfpga/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CONFIG_CLK_INTEL_SOCFPGA32) += clk.o clk-gate.o clk-pll.o clk-periph.o \
				     clk-pll-a10.o clk-periph-a10.o clk-gate-a10.o
obj-$(CONFIG_CLK_INTEL_SOCFPGA64) += clk-s10.o \
				     clk-pll-s10.o clk-periph-s10.o clk-gate-s10.o \
				     clk-agilex.o clk-agilex5.o
