=== debian/changelog ===
linux (6.19-1~exp1) experimental; urgency=medium

  * New upstream release: https://kernelnewbies.org/Linux_6.19
    - ceph: fix NULL pointer dereference in ceph_mds_auth_match()
      (Closes: #1125405)

  [ Matthias Geiger ]
  * [x86] drivers/media/i2c: Enable VIDEO_OV8858 as module
  * [arm64] drivers/gpib: Enable GPIB_GPIO as module

  [ Bastian Blank ]
  * Unsplit configs for some kernel architectures.  We don't support multiple
    variants of arm, sparc or x86 anymore.

  [ Loïc Minier ]
  * [arm64] Enable Qualcomm SA8775P platforms: add SA_GCC_8775P,
    PINCTRL_SA8775P, INTERCONNECT_QCOM_SA8775P as builtins and
    SA_GPUCC_8775P, SA_CAMCC_8775P, SA_DISPCC_8775P, SA_VIDEOCC_8775P as
    modules.

  [ Shawn Guo ]
  * [arm64] udeb: fb-modules: Add display-connector module

  [ John Paul Adrian Glaubitz ]
  * [sparc64] Add patch to update uapi headers for glibc >= 2.42

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 12 Feb 2026 20:41:59 +0100
